apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "6"
    quay-buildmanager-hostname: ""
    quay-managed-fieldgroups: Database,Redis,RepoMirror,SecurityScanner
    quay-operator-service-endpoint: http://quay-operator.openshift-operators:7071
    quay-registry-hostname: quay-quay-quay.apps.hap-test.mitre.org
  creationTimestamp: "2021-04-28T10:49:19Z"
  generation: 20
  labels:
    app: quay
    quay-component: quay-app
    quay-operator/quayregistry: quay
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:quay-buildmanager-hostname: {}
          f:quay-managed-fieldgroups: {}
          f:quay-operator-service-endpoint: {}
          f:quay-registry-hostname: {}
        f:labels:
          f:app: {}
          f:quay-component: {}
          f:quay-operator/quayregistry: {}
        f:ownerReferences:
          k:{"uid":"4577c779-5893-42a3-b484-c15100a0466a"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:replicas: {}
        f:selector: {}
        f:template:
          f:metadata:
            f:annotations:
              f:quay-buildmanager-hostname: {}
              f:quay-managed-fieldgroups: {}
              f:quay-operator-service-endpoint: {}
              f:quay-registry-hostname: {}
            f:creationTimestamp: {}
            f:labels:
              f:app: {}
              f:quay-component: {}
              f:quay-operator/quayregistry: {}
          f:spec:
            f:containers:
              k:{"name":"quay-app"}:
                .: {}
                f:env:
                  k:{"name":"DEBUGLOG"}:
                    .: {}
                    f:name: {}
                  k:{"name":"QE_K8S_CONFIG_SECRET"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"QE_K8S_NAMESPACE"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      f:fieldRef:
                        f:fieldPath: {}
                  k:{"name":"WORKER_COUNT_REGISTRY"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"WORKER_COUNT_SECSCAN"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"WORKER_COUNT_WEB"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:name: {}
                f:ports:
                  k:{"containerPort":8080,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:protocol: {}
                  k:{"containerPort":8081,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:protocol: {}
                  k:{"containerPort":8443,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:protocol: {}
                  k:{"containerPort":9091,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:protocol: {}
                f:readinessProbe:
                  f:exec:
                    f:command: {}
                  f:failureThreshold: {}
                  f:initialDelaySeconds: {}
                  f:periodSeconds: {}
                  f:successThreshold: {}
                  f:timeoutSeconds: {}
                f:resources:
                  f:limits:
                    f:cpu: {}
                    f:memory: {}
                  f:requests:
                    f:cpu: {}
                    f:memory: {}
                f:volumeMounts:
                  k:{"mountPath":"/conf/stack"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/conf/stack/extra_ca_certs"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:volumes:
              k:{"name":"configvolume"}:
                .: {}
                f:name: {}
                f:secret:
                  f:secretName: {}
              k:{"name":"extra-ca-certs"}:
                .: {}
                f:configMap:
                  f:name: {}
                f:name: {}
    manager: quay-operator
    operation: Apply
    time: "2021-06-10T14:52:15Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:template:
          f:spec:
            f:containers:
              k:{"name":"quay-app"}:
                f:env:
                  k:{"name":"DEBUGLOG"}:
                    f:value: {}
    manager: kubectl-edit
    operation: Update
    time: "2021-06-14T13:04:41Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:deployment.kubernetes.io/revision: {}
      f:status:
        f:availableReplicas: {}
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:replicas: {}
        f:updatedReplicas: {}
    manager: kube-controller-manager
    operation: Update
    time: "2021-06-15T22:14:57Z"
  name: quay-quay-app
  namespace: quay
  ownerReferences:
  - apiVersion: quay.redhat.com/v1
    kind: QuayRegistry
    name: quay
    uid: 4577c779-5893-42a3-b484-c15100a0466a
  resourceVersion: "273857045"
  selfLink: /apis/apps/v1/namespaces/quay/deployments/quay-quay-app
  uid: c9e0bd10-c30b-437d-8bb7-6f1cbcfa7225
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: quay
      quay-component: quay-app
      quay-operator/quayregistry: quay
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        quay-buildmanager-hostname: ""
        quay-managed-fieldgroups: Database,Redis,RepoMirror,SecurityScanner
        quay-operator-service-endpoint: http://quay-operator.openshift-operators:7071
        quay-registry-hostname: quay-quay-quay.apps.hap-test.mitre.org
      creationTimestamp: null
      labels:
        app: quay
        quay-component: quay-app
        quay-operator/quayregistry: quay
    spec:
      containers:
      - env:
        - name: QE_K8S_CONFIG_SECRET
          value: quay-quay-config-secret-g4cchtfc6d
        - name: QE_K8S_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: DEBUGLOG
          value: "true"
        - name: WORKER_COUNT_WEB
          value: "4"
        - name: WORKER_COUNT_SECSCAN
          value: "2"
        - name: WORKER_COUNT_REGISTRY
          value: "8"
        image: registry.redhat.io/quay/quay-rhel8@sha256:8327fcbd86da01cafddec6795dc121d197cd258814fb14315cc57a0e355469ab
        imagePullPolicy: IfNotPresent
        name: quay-app
        ports:
        - containerPort: 8443
          protocol: TCP
        - containerPort: 8080
          protocol: TCP
        - containerPort: 8081
          protocol: TCP
        - containerPort: 9091
          protocol: TCP
        readinessProbe:
          exec:
            command:
            - curl
            - -k
            - https://localhost:8443/health/instance
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 15
          successThreshold: 1
          timeoutSeconds: 20
        resources:
          limits:
            cpu: "2"
            memory: 8Gi
          requests:
            cpu: "2"
            memory: 8Gi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /conf/stack
          name: configvolume
        - mountPath: /conf/stack/extra_ca_certs
          name: extra-ca-certs
          readOnly: true
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: configvolume
        secret:
          defaultMode: 420
          secretName: quay-quay-config-secret-g4cchtfc6d
      - configMap:
          defaultMode: 420
          name: quay-cluster-service-ca
        name: extra-ca-certs
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2021-06-02T14:56:09Z"
    lastUpdateTime: "2021-06-14T13:05:20Z"
    message: ReplicaSet "quay-quay-app-57f89f695f" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2021-06-15T22:14:57Z"
    lastUpdateTime: "2021-06-15T22:14:57Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 20
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
